## ices2 2.0.1

=== debian/changelog ===
ices2 (2.0.1-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules: Switch to automake1.11. (Closes:
    #724393)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 15:11:08 -0500

ices2 (2.0.1-13) unstable; urgency=low

  * Add patch 1004 to fix explicitly link against libogg, needed with
    recent GCC.
    Fixes FTBFS on hurd. Thanks to Ron Lee.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jun 2012 20:30:08 +0200

ices2 (2.0.1-12) unstable; urgency=low

  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend copyright of Debian packaging to cover recent years.
  * Stop build-depending on libroar-dev or suggesting roaraudio-server.
    Requested by Ron Lee.
  * Really build-depend unversioned on libogg-dev, libvorbis-dev and
    libshout3-dev, as intended for 2.0.1-11.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jun 2012 16:21:36 +0200

ices2 (2.0.1-11) unstable; urgency=low

  * Update patch 0001 to newer snapshot of upstream development: r18199
    on 2012-02-13.
    Closes: bug#659827.
  * Update copyright file:
    + Add SVN URL to Source field.
    + Add copyright holders for upstream patch.
  * Update package relations:
    + Relax to build-depend unversioned on libogg-dev, libvorbis-dev and
      libshout3-dev: Needed versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Mar 2012 23:14:27 +0200

ices2 (2.0.1-10) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Add description hint to header of rules file.
  * Fix properly quote licensing section GPL-2+ in copyright file (not
    bogusly repeat GPL-2).
  * Bump debhelper compat level to 7.
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Rewrite using copyright format 1.0.
    + Fix add verbatim MIT license for install.sh.
    + Shorten GPL and LGPL comments, and quote license names.
  * Update package relations:
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).

  [ Alessio Treglia ]
  * Replace hardcoded list of non-Linux archs with linux-any.
    Closes: bug#634702. Thanks to Robert Millan.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 15:35:21 +0100

ices2 (2.0.1-9) unstable; urgency=low

  [ Alessio Treglia ]
  * Change Maintainer since the Debian Icecast team is merging with
    Multimedia Maintainers.
  * Add git-buildpackage config file.

  [ Jonas Smedegaard ]
  * Drop local CDBS snippets: All included in CDBS now.
  * Avoid use of svn-upgrade in watch file.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options hints.
  * Extend copyright years in rules file, and add licensing header.
  * Drop now unneeded README.cdbs-tweaks.
  * Bump standards-version to 3.9.1.
  * Tighten build-dependency handling.
  * Rewrite copyright file using Bazaar rev. 137 draft of DEP5 format.
  * Update email address of Michael Smith in copyright file.
  * Add patch 0001 to sync with most recent upstream snapshot.
  * Build-depend on libroar-dev, and suggest roaraudio-server.
    Closes: bug#591636. Thanks to Philipp Schafft.
  * Add patch 1001 to allow 'allow-repeats' setting when checking ogg
    serial.
    Closes: bug#463351. Thanks to C. Chad Wallace.
  * Add patch 1002 to fix bogus mentions of OSS in comment lines of ALSA
    config.
    Closes: bug#514489. Thanks to Kingsley G. Morse Jr.
  * Add patch 1003 to avoid automake'ing stripped Makefile in debian
    subdir.
  * Add back ices2 manpage from debian subdir of upstream tarball
    (otherwise stripped by our change to source format 3.0).
  * Depend on ${misc:Depends}. Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Jan 2011 21:59:19 +0100

ices2 (2.0.1-8) unstable; urgency=low

  * Update local cdbs snippets:
    + Always do copyright-check, but only warn by default.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_MAINTAINER_BUILD=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jun 2008 02:45:43 +0200

ices2 (2.0.1-7) unstable; urgency=low

   [ Romain Beauxis ]
     * Added init script example
       Closes: #375577
     * Updated Uploaders field in debian/control
     * Made copyright check optional, add documentation
     Closes: #442601
     * Added a special variable to enable maintainer mode builds,
       with, for now, copyright check and control file update. Use:
         DEB_MAINTAINER_BUILD=yes (svn|dpkg)-buildpackage (...)
       and similar..
     * Bumped standards to 3.7.3 (no changes)
     * Updated doc-base section from App/Sound to Sound

  [ Jonas Smedegaard ]
     * Update local cdbs snippets:
       + Major improvements to update-tarball (but none of them affecting
         this current packaging).
       + Major improvements to copyright-check, including new versioned
         build-dependency on devscripts.  Update debian/copyright_hints.
       + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL
         directly instead when needed.
       + Add debian/README.cdbs-tweaks
     * Drop leading XS- from Vcs-* fields in debian/control.
     * Fix watch file to use svn-upgrade (not uupdate).
     * Semi-auto-update debian/control to update build-dependencies:
       DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 12 Apr 2008 01:45:52 +0100

ices2 (2.0.1-6) unstable; urgency=low

  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update CDBS tweaks:
    + Add upstream-tarball.mk to implement get-orig-source target.
    + Replace auto-update.mk with overloading buildcore.mk.
    + Emit list of suspects if new copyrights are found.
    + Check for copyrights at pre-build (at clean we might run before
      actual cleanup has finished).

