=== debian/control ===
Source: ices2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Pellerin <yomguy@altern.org>,
 Romain Beauxis <toots@rastageeks.org>,
 Ying-Chun Liu <grandpaul@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 libtool,
 automake1.11,
 autoconf,
 debhelper,
 dh-buildinfo,
 libogg-dev,
 libvorbis-dev,
 libshout3-dev,
 libxml2-dev,
 libasound2-dev [linux-any],
 pkg-config
Vcs-Git: git://git.debian.org/pkg-multimedia/ices2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ices2.git
Standards-Version: 3.9.3
Homepage: http://www.icecast.org/ices.php

Package: ices2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, netbase
Suggests: icecast2
Description: Ogg Vorbis streaming source for Icecast 2
 IceS 2.x is used to source Icecast 2 streaming audio
 servers with Ogg Vorbis audio streams.  It supports both
 live audio input from a soundcard and re-encoding of Ogg
 Vorbis files from a playlist.
