=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Keegan Quinn <ice@thebasement.org>
# Copyright © 2004, 2005, 2006, 2007, 2008, 2011, 2012 Jonas Smedegaard
# <dr@jones.dk>
# Description: Main Debian packaging script for IceS
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOCONF = 2.60
DEB_AUTO_UPDATE_AUTOHEADER = 2.60
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# Upstream requirements
#  Icecast is GPL so needs gnutls variant of CURL
CDBS_BUILD_DEPENDS += , libogg-dev, libvorbis-dev, libshout3-dev, libxml2-dev, libasound2-dev [linux-any], pkg-config

DEB_UPSTREAM_PACKAGE = ices
DEB_UPSTREAM_URL = http://downloads.us.xiph.org/releases/ices
DEB_UPSTREAM_TARBALL_MD5 = 0d95ac34d59fed337028d5e7771076d8

DEB_CONFIGURE_EXTRA_FLAGS = --program-transform-name="s/ices$$/ices2/"
DEB_INSTALL_EXAMPLES_ices2 = conf/*.xml
DEB_INSTALL_MANPAGES_ices2 = debian/ices2.1
DEB_COMPRESS_EXCLUDE = .xml

# Debian places documentation below /usr/share/doc
binary-post-install/ices2::
	mv debian/ices2/usr/share/ices debian/ices2/usr/share/doc/ices2/html
