=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://downloads.us.xiph.org/releases/ices/ices-([\d+\.]+|\d+)\.tar\.gz
