## ices2 2.0.2

=== debian/changelog ===
ices2 (2.0.2-2build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:54:14 +0000

ices2 (2.0.2-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:35 +0000

ices2 (2.0.2-2) unstable; urgency=medium

  * Update watch file:
    + Bump file format to version 4.
    + Simplify version regex.
    + Use uupdate.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Use unversioned autotools.
    Build-depend on automake (not automake1.11.
    Tighten to build-depend versioned on cdbs.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Use license shortnames FSFUL FSFULLR FSFULLR~Makefile.in.
    + Extend copyright of packaging to cover recent years.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix (re)create autotools files from scratch during build.
    Closes: Bug#818420. Thanks to Martin Michlmayr.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-* field URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 00:21:07 +0100

ices2 (2.0.2-1) unstable; urgency=medium

  * ACK NMU from Eric Dorland, thanks.
  * Imported Upstream version 2.0.2. (Closes: #702063, #255417)
    - Drop patches applied upstream.
  * Add myself to uploaders.
  * Bump debhelper compatibility level to 8.
  * Bump standards-version to 3.9.6.
  * Add a versioned build-dep on debhelper, silences a lintian warning.
  * d/control: Update Vcs-Browser URL for alioth cgit.
  * d/control: Use canonical vcs-* fields.
  * d/rules: Update upstream-tarball hints for new upstream source.
  * d/rules: Remove duplicate examples from html docs.
  * Update d/copyright and d/copyright_hits.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 30 Apr 2015 11:31:51 +0200
