=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
http://downloads.us.xiph.org/releases/ices/ices-(\d.*)\.tar\.gz debian uupdate
