## ices2 2.0.3

=== debian/changelog ===
ices2 (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3.
    - Drop patches applied upstream, refresh and re-order remaining patches.
  * d/copyright: Update attribution and paths.
  * d/ices2.docs: Drop TODO, follow rename of README → README.md.

 -- Unit 193 <unit193@debian.org>  Wed, 07 Oct 2020 20:31:14 -0400

ices2 (2.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Unit 193 ]
  * d/README.source, d/control(,.in), d/copyright_hints,
    d/ices2.(docs,examples|manpages), d/rules:
    - Convert from cdbs to dh simple rules.
    - Move debian/doc/ices.init.example to examples.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 13.
  * d/control:
    - Drop dh-buildinfo from Build-Depends.
    - Update homepage.
    - Update my email address.
    - Remove Jonas from uploaders, thanks for all your work over the years!
    - Remove Guillaume Pellerin from uploaders, inactive since 2007.  Thanks!
    - R³: no.
  * d/copyright: Simplify, add myself.
  * d/p/*: Add 'Forwarded' info.
  * d/p/1004_cross-build.patch:
    - Add patch from Helmut Grohne to fix cross builds. (Closes: #901466)
  * d/p/2001_xslt-migrate.patch:
    - Migrate from using xslt-config to pkg-config. (Closes: #948960)
  * d/s/lintian-overrides: Drop, no longer needed.
  * d/watch: Allow a larger variety of tarballs compressors.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Jul 2020 21:17:21 -0400
