=== debian/control ===
Source: ices2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Ying-Chun Liu <grandpaul@gmail.com>,
 Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13),
 libogg-dev,
 libvorbis-dev,
 libshout3-dev,
 libxml2-dev,
 libasound2-dev [linux-any],
 pkg-config
Vcs-Git: https://salsa.debian.org/multimedia-team/ices2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ices2
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://www.icecast.org/ices/

Package: ices2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, netbase
Suggests: icecast2
Description: Ogg Vorbis streaming source for Icecast 2
 IceS 2.x is used to source Icecast 2 streaming audio
 servers with Ogg Vorbis audio streams.  It supports both
 live audio input from a soundcard and re-encoding of Ogg
 Vorbis files from a playlist.
