=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --program-transform-name="s/ices$$/ices2/"

override_dh_auto_build:
	dh_auto_build -- PACKAGE=ices2 pkgdatadir=/usr/share/ices2

override_dh_auto_install:
	dh_auto_install -- pkgdatadir=/usr/share/ices2 docdir=/usr/share/doc/ices2

override_dh_installdocs:
	dh_installdocs
	mv debian/ices2/usr/share/ices2 debian/ices2/usr/share/doc/ices2/html
	rm -rf debian/ices2/usr/share/doc/ices2/html/ices-roar.xml \
		debian/ices2/usr/share/doc/ices2/html/ices-playlist.xml \
		debian/ices2/usr/share/doc/ices2/html/ices-oss.xml \
		debian/ices2/usr/share/doc/ices2/html/ices-alsa.xml
